For AI agents: a documentation index is available at https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/llms.txt. Markdown versions of each page are available by sending an Accept: text/markdown header, or by appending .md to the page URL.

Do not miss any iFormBuilder V60 API changes, ever again

Subscribe to the iFormBuilder V60 API changelog to be up to date on recent changes.

RSS

Changelog

Last update:
Compare
22 structure changes including:
17 Breaking changes
22 Modifications
Modified 22 Breaking
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments/{user_id} to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id} (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • user_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/users
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/user_groups/{user_group_id}/users (same operationId)
    Breaking
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
DELETE /profiles/{profile_id}/users/{user_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/users/{user_id}/page_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
DELETE /profiles/{profile_id}/users/{user_id}/record_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments to /profiles/{profile_id}/users/{user_id}/record_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • id property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • id property Added
  • Path
  • page_id, record_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
DELETE /profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id}
  • Path went from /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments/{user_id} to /profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id} (same operationId)
    Breaking
  • Path
  • user_id path parameter Modified
    • Type went from number to string
      Breaking
  • page_id, record_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • assignment_id path parameter Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • id property Added
GET /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id, is_group properties Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
GET /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments/{user_id} to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id} (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id, is_group properties Added
  • Path
  • user_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
GET /profiles/{profile_id}/users
  • Response
  • 200 response Modified
    • application/json content type Modified
      • roles property Modified
        • can_edit_records, can_delete_records, can_manage_templates, can_generate_documents properties Added
GET /profiles/{profile_id}/users/{user_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • roles property Modified
        • can_edit_records, can_delete_records, can_manage_templates, can_generate_documents properties Added
GET /profiles/{profile_id}/users/{user_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/users/{user_id}/page_assignments (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id, is_disabled properties Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
GET /profiles/{profile_id}/users/{user_id}/record_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments to /profiles/{profile_id}/users/{user_id}/record_assignments (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • id, page_id, record_id properties Added
  • Path
  • page_id, record_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
GET /profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id}
  • Path went from /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments/{user_id} to /profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id} (same operationId)
    Breaking
  • Path
  • user_id path parameter Modified
    • Type went from number to string
      Breaking
  • page_id, record_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • assignment_id path parameter Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • id, page_id, record_id properties Added
POST /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id property Added
  • Response
  • 201 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
POST /profiles/{profile_id}/users
  • Body
  • application/json content type Modified
    • can_edit_records, can_delete_records, can_manage_templates, can_generate_documents properties Added
POST /profiles/{profile_id}/users/{user_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/users/{user_id}/page_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id property Added
  • Response
  • 201 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
POST /profiles/{profile_id}/users/{user_id}/record_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments to /profiles/{profile_id}/users/{user_id}/record_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id, username properties Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id, record_id properties Added
  • Response
  • 201 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • id property Added
  • Path
  • page_id, record_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
PUT /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
PUT /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments/{user_id} to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id} (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • user_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
PUT /profiles/{profile_id}/users
  • Body
  • application/json content type Modified
    • can_edit_records, can_delete_records, can_manage_templates, can_generate_documents properties Added
PUT /profiles/{profile_id}/users/{user_id}
  • Body
  • application/json content type Modified
    • roles property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • role, can_edit_records, can_delete_records, can_manage_templates, can_generate_documents properties Added
PUT /profiles/{profile_id}/users/{user_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/users/{user_id}/page_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
165 structure changes including:
18 Breaking changes
2 Additions
162 Modifications
1 Removal
Modified 162 Breaking
PUT /profiles/{profile_id}/users/{user_id}/page_assignments/{page_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/optionlists/{optionlist_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/optionlists/{optionlist_id}/options
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/page_groups
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/page_groups/{page_group_id}/pages
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_group_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/elements
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/elements/{element_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/email_alerts
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/http_callbacks
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/records
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/records/{record_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/shared_page
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/user_groups
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/user_groups/{user_group_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id, is_group properties Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments/{user_id} to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id} (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id, is_group properties Added
  • Path
  • user_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/user_groups/{user_group_id}/users
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/user_groups/{user_group_id}/users/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/users
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/users/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/users/{user_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/users/{user_id}/page_assignments (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id, is_disabled properties Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/users/{user_id}/page_assignments/{page_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/users/{user_id}/record_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments to /profiles/{profile_id}/users/{user_id}/record_assignments (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • id, page_id, record_id properties Added
  • Path
  • page_id, record_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id}
  • Path went from /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments/{user_id} to /profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id} (same operationId)
    Breaking
  • Path
  • user_id path parameter Modified
    • Type went from number to string
      Breaking
  • page_id, record_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • assignment_id path parameter Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • id, page_id, record_id properties Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /server_region
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /token
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/notifications
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/optionlists
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/shared_page
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/dynamic_attributes/{dynamic_attribute}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/elements
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes/{dynamic_attribute}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations/{language_code}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/localizations/{language_code}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/records
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/records/{record_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/shared_page
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/user_groups/{user_group_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments/{user_id} to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id} (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • user_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/users
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/users/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/users/{user_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/users/{user_id}/page_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/trigger_posts
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/user_groups
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id property Added
  • Response
  • 201 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/user_groups/{user_group_id}/users
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/users
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/users/{user_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/users/{user_id}/page_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id property Added
  • Response
  • 201 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/users/{user_id}/record_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments to /profiles/{profile_id}/users/{user_id}/record_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id, username properties Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id, record_id properties Added
  • Response
  • 201 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • id property Added
  • Path
  • page_id, record_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/company_info
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/optionlists/{optionlist_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations/{language_code}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/page_groups/{page_group_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/page_groups/{page_group_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/page_groups/{page_group_id}/assignments/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/assignments/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/email_alerts
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/http_callbacks
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/localizations/{language_code}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/record_assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/records
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/records/{record_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/shared_page
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/user_groups/{user_group_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments/{user_id} to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id} (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • user_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/users
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/user_groups/{user_group_id}/users (same operationId)
    Breaking
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/users/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/users
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/users/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/users/{user_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/users/{user_id}/page_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/users/{user_id}/page_assignments/{page_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations/{language_code}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/page_groups/{page_group_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/page_groups/{page_group_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/page_groups/{page_group_id}/assignments/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/page_groups/{page_group_id}/pages
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/assignments/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/dynamic_attributes/{dynamic_attribute}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/elements
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes/{dynamic_attribute}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations/{language_code}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/assignments/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/dynamic_attributes/{dynamic_attribute}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/elements
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes/{dynamic_attribute}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations/{language_code}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/email_alerts
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/feed
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/http_callbacks
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/localizations/{language_code}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/record_assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/records
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/records/{record_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/users/{user_id}/record_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments to /profiles/{profile_id}/users/{user_id}/record_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • id property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • id property Added
  • Path
  • page_id, record_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id}
  • Path went from /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments/{user_id} to /profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id} (same operationId)
    Breaking
  • Path
  • user_id path parameter Modified
    • Type went from number to string
      Breaking
  • page_id, record_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • assignment_id path parameter Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • id property Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/company_info
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/licenses
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/licenses/{license_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/media?URL={media_url}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/optionlists
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/optionlists/{optionlist_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations/{language_code}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/page_groups
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/page_groups/{page_group_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/page_groups/{page_group_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/page_groups/{page_group_id}/assignments/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/page_groups/{page_group_id}/pages
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
Removed 1 Breaking
Bearer auth authentication method
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
Added 2
POST /oauth/token
Oauth2 authentication method
321 structure changes including:
158 Breaking changes
163 Additions
158 Removals
Removed 158 Breaking
GET /profiles/{profile_id}/page_groups/{page_group_id}/assignments/{user_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/page_groups/{page_group_id}/assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/page_groups/{page_group_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/page_groups
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations/{language_code}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/optionlists/{optionlist_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/optionlists
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/media?URL={media_url}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/licenses/{license_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/licenses
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/company_info
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/users/{user_id}/record_assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/users/{user_id}/page_assignments/{page_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/record_assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/localizations/{language_code}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/localizations
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/http_callbacks
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/feed
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/email_alerts
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations/{language_code}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes/{dynamic_attribute}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/elements
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/dynamic_attributes/{dynamic_attribute}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/assignments/{user_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/page_groups/{page_group_id}/pages
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes/{dynamic_attribute}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/elements
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/dynamic_attributes/{dynamic_attribute}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/assignments/{user_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/page_groups/{page_group_id}/pages
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/page_groups/{page_group_id}/assignments/{user_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/page_groups/{page_group_id}/assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/page_groups/{page_group_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations/{language_code}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
Oauth2 authentication method
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/users/{user_id}/page_assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/users/{user_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/users
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/users/{user_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/users
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/user_groups/{user_group_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/shared_page
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments/{user_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/records/{record_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/records
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/record_assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/localizations/{language_code}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/localizations
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/http_callbacks
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/email_alerts
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations/{language_code}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/pages/{page_id}/assignments/{user_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/pages/{page_id}/assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/pages/{page_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/page_groups/{page_group_id}/assignments/{user_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/page_groups/{page_group_id}/assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/page_groups/{page_group_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations/{language_code}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/optionlists/{optionlist_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/company_info
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/users/{user_id}/record_assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/users/{user_id}/page_assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/users
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/user_groups/{user_group_id}/users
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/notifications
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/users/{user_id}/page_assignments/{page_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/users/{user_id}/page_assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/users/{user_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/users
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/user_groups/{user_group_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/pages/{page_id}/shared_page
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/pages/{page_id}/records/{record_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/pages/{page_id}/records
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/pages/{page_id}/localizations/{language_code}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/pages/{page_id}/localizations
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations/{language_code}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes/{dynamic_attribute}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/pages/{page_id}/elements
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
PUT /profiles/{profile_id}/pages/{page_id}/dynamic_attributes/{dynamic_attribute}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /token
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/users/{user_id}/record_assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/users/{user_id}/page_assignments/{page_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/users/{user_id}/page_assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/users/{user_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/users
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/user_groups/{user_group_id}/users/{user_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/user_groups/{user_group_id}/users
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/user_groups/{user_group_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/user_groups
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/shared_page
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments/{user_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/records/{record_id}
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /profiles/{profile_id}/pages/{page_id}/records
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/user_groups
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/pages/{page_id}/trigger_posts
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/pages/{page_id}/shared_page
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/pages/{page_id}/records
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/pages/{page_id}/localizations
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/pages/{page_id}/http_callbacks
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/pages/{page_id}/email_alerts
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/pages/{page_id}/elements
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/pages/{page_id}/assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/pages/{page_group_id}/assignments
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/pages
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/page_groups/{page_group_id}/pages
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/page_groups
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/optionlists/{optionlist_id}/options
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /profiles/{profile_id}/optionlists
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
Added 163
PUT /profiles/{profile_id}/users/{user_id}/page_assignments/{page_id}
PUT /profiles/{profile_id}/users/{user_id}/page_assignments
PUT /profiles/{profile_id}/users/{user_id}
GET /profiles/{profile_id}/page_groups/{page_group_id}/pages
GET /profiles/{profile_id}/page_groups/{page_group_id}/assignments/{user_id}
GET /profiles/{profile_id}/page_groups/{page_group_id}/assignments
GET /profiles/{profile_id}/page_groups/{page_group_id}
GET /profiles/{profile_id}/page_groups
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations/{language_code}
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options
GET /profiles/{profile_id}/optionlists/{optionlist_id}
GET /profiles/{profile_id}/optionlists
GET /profiles/{profile_id}/media?URL={media_url}
GET /profiles/{profile_id}/licenses/{license_id}
GET /profiles/{profile_id}/licenses
GET /profiles/{profile_id}/company_info
GET /profiles/{profile_id}
GET /profiles
DELETE /profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id}
DELETE /profiles/{profile_id}/users/{user_id}/record_assignments
DELETE /profiles/{profile_id}/users/{user_id}/page_assignments/{page_id}
GET /profiles/{profile_id}/pages/{page_id}/records
GET /profiles/{profile_id}/pages/{page_id}/record_assignments
GET /profiles/{profile_id}/pages/{page_id}/localizations/{language_code}
GET /profiles/{profile_id}/pages/{page_id}/localizations
GET /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}
GET /profiles/{profile_id}/pages/{page_id}/http_callbacks
GET /profiles/{profile_id}/pages/{page_id}/feed
GET /profiles/{profile_id}/pages/{page_id}/email_alerts
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations/{language_code}
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes/{dynamic_attribute}
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}
GET /profiles/{profile_id}/pages/{page_id}/elements
GET /profiles/{profile_id}/pages/{page_id}/dynamic_attributes/{dynamic_attribute}
GET /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
GET /profiles/{profile_id}/pages/{page_id}/assignments/{user_id}
GET /profiles/{profile_id}/pages/{page_id}/assignments
GET /profiles/{profile_id}/pages/{page_id}
GET /profiles/{profile_id}/pages
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes/{dynamic_attribute}
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}
DELETE /profiles/{profile_id}/pages/{page_id}/elements
DELETE /profiles/{profile_id}/pages/{page_id}/dynamic_attributes/{dynamic_attribute}
DELETE /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
DELETE /profiles/{profile_id}/pages/{page_id}/assignments/{user_id}
DELETE /profiles/{profile_id}/pages/{page_id}/assignments
DELETE /profiles/{profile_id}/pages/{page_id}
DELETE /profiles/{profile_id}/page_groups/{page_group_id}/pages
DELETE /profiles/{profile_id}/page_groups/{page_group_id}/assignments/{user_id}
DELETE /profiles/{profile_id}/page_groups/{page_group_id}/assignments
DELETE /profiles/{profile_id}/page_groups/{page_group_id}
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations/{language_code}
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}
Bearer auth authentication method
DELETE /profiles/{profile_id}/users/{user_id}/page_assignments
DELETE /profiles/{profile_id}/users/{user_id}
DELETE /profiles/{profile_id}/users
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/users/{user_id}
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/users
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
DELETE /profiles/{profile_id}/user_groups/{user_group_id}
DELETE /profiles/{profile_id}/pages/{page_id}/shared_page
DELETE /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments/{user_id}
DELETE /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments
DELETE /profiles/{profile_id}/pages/{page_id}/records/{record_id}
DELETE /profiles/{profile_id}/pages/{page_id}/records
DELETE /profiles/{profile_id}/pages/{page_id}/record_assignments
DELETE /profiles/{profile_id}/pages/{page_id}/localizations/{language_code}
DELETE /profiles/{profile_id}/pages/{page_id}/localizations
DELETE /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}
DELETE /profiles/{profile_id}/pages/{page_id}/http_callbacks
DELETE /profiles/{profile_id}/pages/{page_id}/email_alerts
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations/{language_code}
PUT /profiles/{profile_id}/pages/{page_id}
PUT /profiles/{profile_id}/page_groups/{page_group_id}/assignments/{user_id}
PUT /profiles/{profile_id}/page_groups/{page_group_id}/assignments
PUT /profiles/{profile_id}/page_groups/{page_group_id}
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations/{language_code}
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options
PUT /profiles/{profile_id}/optionlists/{optionlist_id}
PUT /profiles/{profile_id}/company_info
PUT /profiles/{profile_id}
POST /profiles/{profile_id}/users/{user_id}/record_assignments
POST /profiles/{profile_id}/users/{user_id}/page_assignments
POST /profiles/{profile_id}/users
POST /profiles/{profile_id}/user_groups/{user_group_id}/users
POST /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
POST /profiles/{profile_id}/user_groups
POST /profiles/{profile_id}/pages/{page_id}/trigger_posts
POST /profiles/{profile_id}/pages/{page_id}/shared_page
POST /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments
PUT /profiles/{profile_id}/users
PUT /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}
PUT /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
PUT /profiles/{profile_id}/user_groups/{user_group_id}
[...]
